<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Convenios
 *
 * @ORM\Table(name="convenios", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="cve_pla", columns={"cve_pla"})})
 * @ORM\Entity
 */
class Convenios
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_con", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideCon;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_con", type="date", nullable=false)
     */
    private $fecCon;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_con", type="time", nullable=false)
     */
    private $horCon;

    /**
     * @var string
     *
     * @ORM\Column(name="monto", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $monto;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=true)
     */
    private $cveUsu = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=true)
     */
    private $estatus = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="doc_digital", type="string", length=255, nullable=true)
     */
    private $docDigital = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="num_convenio", type="integer", nullable=false)
     */
    private $numConvenio;

    /**
     * @var string
     *
     * @ORM\Column(name="telefono", type="string", length=20, nullable=false)
     */
    private $telefono;

    /**
     * @var integer
     *
     * @ORM\Column(name="plazo", type="integer", nullable=false)
     */
    private $plazo;

    /**
     * @var integer
     *
     * @ORM\Column(name="modo_pago", type="integer", nullable=false)
     */
    private $modoPago;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;



    /**
     * Get ideCon
     *
     * @return integer
     */
    public function getIdeCon()
    {
        return $this->ideCon;
    }

    /**
     * Set fecCon
     *
     * @param \DateTime $fecCon
     *
     * @return Convenios
     */
    public function setFecCon($fecCon)
    {
        $this->fecCon = $fecCon;
    
        return $this;
    }

    /**
     * Get fecCon
     *
     * @return \DateTime
     */
    public function getFecCon()
    {
        return $this->fecCon;
    }

    /**
     * Set horCon
     *
     * @param \DateTime $horCon
     *
     * @return Convenios
     */
    public function setHorCon($horCon)
    {
        $this->horCon = $horCon;
    
        return $this;
    }

    /**
     * Get horCon
     *
     * @return \DateTime
     */
    public function getHorCon()
    {
        return $this->horCon;
    }

    /**
     * Set monto
     *
     * @param string $monto
     *
     * @return Convenios
     */
    public function setMonto($monto)
    {
        $this->monto = $monto;
    
        return $this;
    }

    /**
     * Get monto
     *
     * @return string
     */
    public function getMonto()
    {
        return $this->monto;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Convenios
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Convenios
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set docDigital
     *
     * @param string $docDigital
     *
     * @return Convenios
     */
    public function setDocDigital($docDigital)
    {
        $this->docDigital = $docDigital;
    
        return $this;
    }

    /**
     * Get docDigital
     *
     * @return string
     */
    public function getDocDigital()
    {
        return $this->docDigital;
    }

    /**
     * Set numConvenio
     *
     * @param integer $numConvenio
     *
     * @return Convenios
     */
    public function setNumConvenio($numConvenio)
    {
        $this->numConvenio = $numConvenio;
    
        return $this;
    }

    /**
     * Get numConvenio
     *
     * @return integer
     */
    public function getNumConvenio()
    {
        return $this->numConvenio;
    }

    /**
     * Set telefono
     *
     * @param string $telefono
     *
     * @return Convenios
     */
    public function setTelefono($telefono)
    {
        $this->telefono = $telefono;
    
        return $this;
    }

    /**
     * Get telefono
     *
     * @return string
     */
    public function getTelefono()
    {
        return $this->telefono;
    }

    /**
     * Set plazo
     *
     * @param integer $plazo
     *
     * @return Convenios
     */
    public function setPlazo($plazo)
    {
        $this->plazo = $plazo;
    
        return $this;
    }

    /**
     * Get plazo
     *
     * @return integer
     */
    public function getPlazo()
    {
        return $this->plazo;
    }

    /**
     * Set modoPago
     *
     * @param integer $modoPago
     *
     * @return Convenios
     */
    public function setModoPago($modoPago)
    {
        $this->modoPago = $modoPago;
    
        return $this;
    }

    /**
     * Get modoPago
     *
     * @return integer
     */
    public function getModoPago()
    {
        return $this->modoPago;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return Convenios
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return Convenios
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }
}
